using UnityEngine;
using mgaia.Utils;
using mgaia.Utils.LayerSystem;

public class Game : MonoBehaviour
{
    private GameMatch mGameMatch;
    private GameObject mBottomHudView;
    private GameObject mHudView;
    private GameObject mMainView;

    private void Awake()
    {
        mGameMatch = new GameMatch();

        mHudView = ViewLoader.LoadView(Views.HudView);
        mMainView = ViewLoader.LoadView(Views.MainView);

        LayerManager.Instance.AddLayerOnTop(mMainView, false, mGameMatch);
        LayerManager.Instance.AddLayerOnTop(mHudView, false, mGameMatch.AttributeManager);
    }
}